Bug 1020272 - (CVE-2013-4443) CVE-2013-4443 pwgen: Secure mode has bias towards numbers and uppercase letters
CVE-2013-4443 pwgen: Secure mode has bias towards numbers and uppercase letters
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120117,repor...
: Security
Depends On: 1020273 1020274
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 07:11 EDT by Ratul Gupta
Modified: 2015-07-31 03:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-23 01:14:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2013-10-17 07:11:34 EDT
It was found that pwgen had a heavy bias towards using numbers and uppercase letters when generating random passwords.  Because of this, pwgen created passwords that were weaker and easier to guess than it should have. 

There seems to be a patch here saying it fixes most of the issues:
http://marc.info/?l=oss-security&m=137049241132104&w=4

References:
http://seclists.org/oss-sec/2013/q4/116
http://www.openwall.com/lists/oss-security/2012/01/17/12
http://marc.info/?l=oss-security&m=137049241132104&w=4
Comment 1 Ratul Gupta 2013-10-17 07:12:39 EDT
Created pwgen tracking bugs for this issue:

Affects: fedora-all [bug 1020273]
Affects: epel-all [bug 1020274]
Comment 2 Ratul Gupta 2013-10-23 01:14:23 EDT
It was found that if you generated 1 extremely long password (rather than a ton of passwords) and made a histogram, there would be no bias, hence this CVE is **REJECTED**.

Reference:
http://seclists.org/oss-sec/2013/q4/162

Note You need to log in before you can comment on or make changes to this bug.